function show_synth
  
  d = dir( 'DATA/synth*.mat' );
  
  for a = 1:length( d )
    
    % Load the synthetic (azimuth, frame index) data from the file
    
    infilename = fullfile( 'DATA', d(a).name );
    
    load( infilename, 'r' );
    
    disp( [ mfilename ' loaded "' infilename '".' ] );
    
    % Display it

    figure( a ); clf;
    plot([r.T], [r.theta]/pi*180,'.'); ylabel('\theta_i (degrees)'); xlabel( 'T_i (frame index)' );
    title(strrep( d(a).name, '_', '\_' ));

  end
  